<?php
// $Id: content_moderation_revisions_list.tpl.php,v 1.2.2.9 2010/02/22 11:11:01 eugenmayer Exp $

# Copyright (c) 2010 Impressive.media
# Author: Eugen Mayer
/*
 * Usable values
 * $node : currently viewed node
 * $state: workflow state of the currently viewed node revision
 * $live: live version of the node
 * $live_link: revision and link to the live node
 * $links: actions on the different revisions (compare_with_live,compare,delete_revision, edit_revision, edit_live)
 */
?>
<div class='revision_list'>
<?php
foreach($revisions as $rev) {
  $edit_icon = '<span class="tinyicon t_editicon"></span>';
  $rev_icon = '<span class="tinyicon t_revisionicon"></span>';
  $view_icon = '<span class="tinyicon t_viewicon"></span>';
  $edit_state_icon = '<span class="tinyicon t_changestateicon"></span>';

  $view_link = l($view_icon,"node/{$rev->nid}/revisions/{$rev->vid}/view",array('html' => true, 'attributes' => array( 'title' => t('View revision @rev.',array('@rev' => $rev->vid) ))));

  if(_content_moderation_statechange_allowed($rev->vid)) {
    $edit_state_link = l($edit_state_icon,_content_moderation_change_state_link($rev->vid,$rev->nid),array('html' => true, 'attributes' => array( 'title' => t('Change state of revision @rev.',array('@rev' => $rev->vid) ))));
  }
  if(module_exists('diff')){
    $live = _content_moderation_live_revision($node->nid);
    $compare_live = l($rev_icon,"node/{$rev->nid}/revisions/view/{$live->vid}/{$rev->vid}",array('html' => true, 'attributes' => array( 'title' => t('Compare this revision with the current live revision.') ) ));
    $compare = l($rev_icon,$links['compare'],array('html' => true, 'attributes' => array( 'title' => t('List all revisions.') ) ));
  }
  $compare = 'compare';

  if($rev->state != NULL) {
    $state = ucfirst(t($rev->state));
  }
  else {
    $state  = ucfirst(t('none'));
  }
?>
<span class="revision"><?php print $rev->vid?>: (<?php print $state?>) <?php print $view_link?><?php print $edit_state_link?><?php print $compare_live?></span>
<?php
}
?>
</div>